Skip to main content

Get Order Details

The get order details API allows you to retrieve detailed information of a specific order by using the orderId. You need to provide the orderId in the request path to receive the detailed information about that order.


Endpoint

🔗Endpoint Staging
GET https://staging.manage-api.miniap.vn/api/external/v1/orders/{orderId}
https://staging.manage-api.miniap.vn/api/external/v1/orders/68c9415a802d36826bc46836
🔗Endpoint Production
GET https://manage-api.miniap.vn/api/external/v1/orders/{orderId}

Response

{
"success": true,
"data": {
"_id": "68c9415a802d36826bc46836",
"code": "Q42Df8a2V2",
"shippingMethod": "ahamove",
"addressId": "685a28d9ec74b054e81ef206",
"shopAddressId": "689c054edab00e15569f2d54",
"userId": "685930fd539ae361bb35fa62",
"shopId": "64204a17a5a97a86f12e1f0a",
"price": 520000,
"discount": 0,
"originPrice": 500000,
"discountShipping": 0,
"flashSaleDiscount": 0,
"isPaid": false,
"paidAmount": 0,
"status": "pending",
"note": "",
"shippingFee": 70000,
"loyaltyDiscount": 50000,
"pointDiscountPrice": 0,
"points": 0,
"search": "q42df8a2v2 0335214562 le quoc an le quoc an",
"platform": "mini_app",
"createdAt": "2025-09-16T10:52:10.219Z",
"updatedAt": "2025-09-16T10:52:11.013Z",
"__v": 0,
"sOrderId": "1725173646",
"isSynced": true,
"orderItems": [
{
"_id": "68c9415a802d36826bc46838",
"orderId": "68c9415a802d36826bc46836",
"skuId": "68ad93ebe2945293c795e568",
"quantity": 1,
"price": 500000,
"listSubItem": [],
"name": "Combo 2 Thùng Kazu Chan Tặng 1 Lốc Cùng Loại Và 1 Lọ Yến Sào Sago Nest Kid Hồi Phục",
"status": "pending",
"sku": {
"_id": "68ad93ebe2945293c795e568",
"name": "Combo 2 Thùng Kazu Chan Tặng 1 Lốc Cùng Loại Và 1 Lọ Yến Sào Sago Nest Kid Hồi Phục",
"price": 500000,
"originPrice": null,
"images": [
"https://dmcl0k8mc5oht.cloudfront.net/68771917162907f3c32d45e2/692d4327-21ae-42a3-887f-3e92d1f224bf.png"
],
"itemId": "68ad93eae2945293c795dd39",
"variantOptionIDs": [],
"item": {
"_id": "68ad93eae2945293c795dd39",
"name": "Combo 2 Thùng Kazu Chan Tặng 1 Lốc Cùng Loại Và 1 Lọ Yến Sào Sago Nest Kid Hồi Phục",
"images": [
"https://dmcl0k8mc5oht.cloudfront.net/68771917162907f3c32d45e2/692d4327-21ae-42a3-887f-3e92d1f224bf.png"
],
"id": "68ad93eae2945293c795dd39"
},
"variantOptions": [],
"id": "68ad93ebe2945293c795e568"
},
"id": "68c9415a802d36826bc46838"
}
],
"user": {
"_id": "685930fd539ae361bb35fa62",
"email": "lequocan0303@gmail.com",
"phone": "0335214562",
"fullName": "Lê Quốc An",
"avatar": "https://s120-ava-talk.zadn.vn/d/b/8/1/18/120/3fa4b3b7f2e9501ff1e42d65e4b97dd5.jpg",
"id": "685930fd539ae361bb35fa62"
},
"shopAddress": {
"_id": "689c054edab00e15569f2d54",
"name": "Nhà của em Boo Mập",
"id": "689c054edab00e15569f2d54"
},
"table": null,
"adminUser": null,
"sepayPayments": [],
"id": "68c9415a802d36826bc46836",
"reasonCancel": null,
"userAddress": {
"name": "Lê Quốc An",
"phone": "0335214562",
"city": "Thành phố Hồ Chí Minh",
"district": "Thành phố Thủ Đức",
"ward": "Phường Trường Thọ",
"addressDetail": "Lê Quốc An, 0335214562, BS8A"
},
"collab": null,
"referrerFullName": null
}
}